- hosts: "{{ host_ip }}"
  gather_facts: False
  vars:
    ansible_connection: network_cli
    ansible_network_os: ios
    ansible_user: "{{ host_credential_username }}"
    ansible_password: "{{ host_credential_password }}"
    host_key_checking: False
    #ansible_become: yes
    #ansible_become_method: enable
    timeout: 60
  tasks:
    - name: "Get current device details."
      dellos6_facts:
        gather_subset: ['!interfaces']
      register: result

    - name: "Get current configuration."
      ios_facts:
        gather_subset:
          - config
      register: config

    - name: Aggregate config.
      set_fact:
        result_new:
          ansible_facts:
            ansible_net_config: "{{ config.ansible_facts.ansible_net_config }}"
    - set_fact:
        result: "{{result|combine(result_new,recursive=True)}}"

    - name: "CONFIG-PRINT"
      debug:
        var: result